Skip to main content
GET
/
open-api
/
v1.1
/
memberships
/
members
/
{id}
Get Member
curl --request GET \
  --url https://api.fourthwall.com/open-api/v1.1/memberships/members/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.fourthwall.com/open-api/v1.1/memberships/members/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.fourthwall.com/open-api/v1.1/memberships/members/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "nickname": "<string>",
  "email": "<string>",
  "state": {
    "subscribedAt": "2023-11-07T05:31:56Z",
    "type": "Active",
    "freeTrialEndsAt": "2023-11-07T05:31:56Z"
  },
  "joinedAt": "2023-11-07T05:31:56Z",
  "shadowBanned": true,
  "cancelRequest": {
    "type": "Allowed",
    "subscriptionCurrentPeriodEnd": "2023-11-07T05:31:56Z"
  },
  "creatorNotes": {
    "note": "<string>"
  },
  "avatarUrl": "<string>",
  "tier": {
    "name": "<string>",
    "askForShippingAddress": true
  },
  "conversationId": 123,
  "badges": [
    {
      "id": 123,
      "icon": {
        "type": "Emoji",
        "emojiIcon": "<string>"
      },
      "text": "<string>",
      "assignedAt": "2023-11-07T05:31:56Z",
      "minimal": true,
      "emojiIcon": "<string>",
      "textColor": "<string>",
      "backgroundColor": "<string>",
      "borderColor": "<string>"
    }
  ],
  "wantsToReceiveBenefits": true,
  "shippingAddress": {
    "name": "<string>",
    "address1": "<string>",
    "city": "<string>",
    "country": "<string>",
    "address2": "<string>",
    "state": "<string>",
    "zip": "<string>",
    "phone": "<string>",
    "vatId": "<string>"
  }
}
OAuth scope: memberships_readAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-ShopId
string

Path Parameters

id
integer
required

Response

200 - application/json
id
integer
required
nickname
string
required
email
string
required
state
Active · object
required
joinedAt
string<date-time>
required
shadowBanned
boolean
required
cancelRequest
Cancel Request · object
required
creatorNotes
Creator Notes · object
required
avatarUrl
string
tier
Tier · object
accountOrigin
enum<string>
Available options:
Checkout,
FreeAccount
conversationId
integer
badges
Badge · object[]
wantsToReceiveBenefits
boolean
shippingAddress
Shipping · object